
package de.ivu.elect.business.wahl.boundary;

import java.util.Optional;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.stimmeingabe.control.plausi.StimmeingabePlausiGebietsartResolver;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiGebietsart;

@Specializes
public class WasUmgangAWerteKonfiguration extends UmgangAWerteKonfiguration {

  protected static final long serialVersionUID = 1L;

  @Inject
  protected transient StimmeingabePlausiGebietsartResolver stimmeingabePlausiGebietsartResolver;

  public WasUmgangAWerteKonfiguration() {
    super();
  }

  @Override
  protected Optional<StimmeingabePlausiGebietsart> findStimmeingabePlausiGebietsart(Gebiet wahldurchfuehrungsgebiet) {
    return getStimmeingabePlausiGebietsartResolver().findStimmeingabePlausiGebietsart(wahldurchfuehrungsgebiet);
  }

  protected StimmeingabePlausiGebietsartResolver getStimmeingabePlausiGebietsartResolver() {
    return stimmeingabePlausiGebietsartResolver;
  }
}
